from cherrytemplate import renderTemplate

from utils import *

from sqlobject import *

from datetime import datetime

from connection import conn
from index import WebRoot

class Blog(SQLObject):
    _connection = conn
    _defaultOrder="-date"
    title = StringCol()
    content = StringCol()
    author = ForeignKey("Admin")
    date = DateTimeCol()


class WebBlog(WebRoot):
    def default(self, id):
        return self.view(id)
        
    default.exposed = True

    def index(self):
        return self.view(None)
    
    index.exposed = True
    
    def view(self, id):
        if id == None:
            entries = Blog.select()
        else:
            entries = Blog.selectBy(authorID=id)

        if entries.count():
            people = Blog.select()
            html = renderTemplate(file="templates/blog_view.html")
        else:
            html = "Cette personne n'existe pas ou n'a jamais blogg."

        return self.render(html)
    
    view.exposed = True

    def add(self, id, title=None, content=None):
        if title and content:
            d = datetime.now()
            
            Blog(title=title,
                 content=content,
                 date=d,
                 authorID=id)

            raise cherrypy.HTTPRedirect("%s"%id)
            
            
        return self.render_page("blog_add")

    add.exposed = True
    #add = adminOnly(add)
    
